#!/bin/bash

. ~/Workspace/MyKubernetesEnv/ENVDB

DATABASE=level_monitoring_berresheim
LOGIN=preprocessor
PASSWORD=`openssl rand -base64 24`
NAMESPACE=`cat namespace`

psql <<EOF
do
\$\$
begin
  if not exists (SELECT * FROM pg_user WHERE usename = '$LOGIN') then
    CREATE USER $LOGIN WITH PASSWORD '$PASSWORD';
  else
    ALTER USER $LOGIN WITH PASSWORD '$PASSWORD';
  end if;
  GRANT ALL PRIVILEGES ON DATABASE $DATABASE TO $LOGIN;
end
\$\$
;
commit;
EOF

kubectl create secret generic levelmetering-db-cred \
  --dry-run=client \
  -o yaml \
  --save-config \
  --from-literal=PGUSER="$LOGIN" \
  --from-literal=PGPASSWORD="$PASSWORD" | \
kubectl apply -f - -n $NAMESPACE


